Ergebnis 1 bis 12 von 12

Thema: Mehrsprachigkeit in Contao - Fehlermeldung

  1. #1
    Contao-Nutzer
    Registriert seit
    03.10.2010.
    Beiträge
    174

    Standard Mehrsprachigkeit in Contao - Fehlermeldung

    Nachdem ich den changelanguage installietr habe, Seitenbaum verdoppelt und entsprechende Fallbackseite eingegeben habe wird - wenn ich den Seitenbaum der "Zweitsprache" veröffentliche folgende Fehlermeldung:

    Fatal error: Call to undefined method Contao\PageModel::getAbsoluteUrl() in /var/www/vhosts/food-festivals.de/httpdocs/composer/vendor/terminal42/contao-changelanguage/library/Terminal42/ChangeLanguage/Navigation/NavigationItem.php on line 221

    Weiß jemand, was das los ist
    Contao 3.5.6 (ja ich weiß, ich soll da aktualisieren!!)

  2. #2
    Administratorin Avatar von lucina
    Registriert seit
    19.06.2009.
    Ort
    Kiel (DE)
    Beiträge
    6.586
    Partner-ID
    152
    User beschenken
    Wunschliste

    Standard

    Zitat Zitat von sven_rahn Beitrag anzeigen
    Contao 3.5.6 (ja ich weiß, ich soll da aktualisieren!!)
    Dann mach das doch mal bitte, bevor hier das grosse Rätselraten bei einer obsoleten Version stattfindet.

  3. #3
    Community-Moderator
    Wandelndes Contao-Lexikon
    Avatar von Spooky
    Registriert seit
    12.04.2012.
    Ort
    Vienna, Austria
    Beiträge
    22.667
    Partner-ID
    10107
    User beschenken
    Wunschliste

    Standard

    Um den Fehler zu beheben musst du entweder auf Contao 3.5.40 aktualisieren oder [zensiert].

  4. #4
    Contao-Nutzer
    Registriert seit
    03.10.2010.
    Beiträge
    174

    Standard

    trau mich nicht :-)
    Im Ernst: Dann mach ich vorher ein Backup, richtig
    Dafür gibt es ja unter System die Funktion Backup Datenbank.
    Geh ich recht in der Annahme, dass ich dann
    SQL-Backup der Contao-Datenbank als Download
    erstelle
    Schon mal vorab gefragt: Wenn was schief geht beim Update, kann ich über dieses SQL-Backup den vorherigen zustand wiederherstellen?
    UWie?

    lieben Dank für die Unterstützung....

  5. #5
    Administratorin Avatar von lucina
    Registriert seit
    19.06.2009.
    Ort
    Kiel (DE)
    Beiträge
    6.586
    Partner-ID
    152
    User beschenken
    Wunschliste

    Standard

    Du kannst ja mit einer parallelen Installation arbeiten, wenn Du Angst davor hast, am Livesystem upzudaten:
    • neues verzeichnis anlegen, Subdomain zuweisen
    • neue DB anlegen
    • /files und /templates sichern
    • bisherige Datenbank via PHPmyAdmin exportieren
    • 3.5.40 in das neue Verzeichnis installieren
    • alle benötigten Extensions in die 3.5.40 installieren
    • bisherige Datenbank via PHPmyAdmin in die neue DB importieren

  6. #6
    Community-Moderator
    Wandelndes Contao-Lexikon
    Avatar von Spooky
    Registriert seit
    12.04.2012.
    Ort
    Vienna, Austria
    Beiträge
    22.667
    Partner-ID
    10107
    User beschenken
    Wunschliste

    Standard

    Für das Update selbst würde ich dir außerdem empfehlen easyupdate3 zu verwenden.

    // welches du schon installiert hast

  7. #7
    Community-Moderator
    Wandelndes Contao-Lexikon
    Avatar von Spooky
    Registriert seit
    12.04.2012.
    Ort
    Vienna, Austria
    Beiträge
    22.667
    Partner-ID
    10107
    User beschenken
    Wunschliste

    Standard

    Übrigens habe ich ja schon im anderen Thread (https://community.contao.org/de/show...-Fehlermeldung) mehrmals erwähnt, dass du Contao aktualisieren musst .

  8. #8
    Administratorin Avatar von lucina
    Registriert seit
    19.06.2009.
    Ort
    Kiel (DE)
    Beiträge
    6.586
    Partner-ID
    152
    User beschenken
    Wunschliste

    Standard

    Ach ja, vor der Aktualisierung bitte den Suchindex löschen ... (oder in der Datenbank tl_search und tl_search_index leeren)

  9. #9
    Contao-Nutzer
    Registriert seit
    03.10.2010.
    Beiträge
    174

    Standard

    So habe jetzt update auf 3.5.8 durchgeführt, das war das nächste, was mit easyupgrade angeboten hat. Die Fehlermeldung ist immer noch dieselbe wie oben beschrieben. Frage: Soll ich jetzt easyupgrade durchführen, bis ich bei der allerneusten Version bin, also 4. irgendwas oder könnt ein WEchsel von 3. auf 4. Gefahren bergen (ich habe mir den Contao Manager und das F Module (kennt vielleicht einer von euch) installieren lassen, über die laufen zwei wesentliche TEile meiner Seite...

  10. #10
    Contao-Nutzer
    Registriert seit
    03.10.2010.
    Beiträge
    174

    Standard

    Damit Ihr nicht scrollen müsst :-)
    Fehlermeldung ist:

    Nachdem ich den changelanguage installietr habe, Seitenbaum verdoppelt und entsprechende Fallbackseite eingegeben habe wird - wenn ich den Seitenbaum der "Zweitsprache" veröffentliche folgende Fehlermeldung:

    Fatal error: Call to undefined method Contao\PageModel::getAbsoluteUrl() in /var/www/vhosts/food-festivals.de/httpdocs/composer/vendor/terminal42/contao-changelanguage/library/Terminal42/ChangeLanguage/Navigation/NavigationItem.php on line 221

    at spooky: du hattest ja upgrade auf 3.5.40 vorgeschlagen, wie gesagt easyupdate hat mir nur 3.5.8. angeboten....

  11. #11
    Contao-Urgestein Avatar von folkfreund
    Registriert seit
    09.04.2010.
    Ort
    Dortmund
    Beiträge
    1.875

    Standard

    Zitat Zitat von sven_rahn Beitrag anzeigen
    du hattest ja upgrade auf 3.5.40 vorgeschlagen, wie gesagt easyupdate hat mir nur 3.5.8. angeboten....
    Easyupdate musst du in mehreren Schritten ausführen, eben solange, bis du bei der letzten 3er-Version angekommen bist.
    Das Update zur Version 4 wird durch Easyupdate nicht unterstützt.
    www.folkfreun.de - Treffpunkt für Folkmusiker, Folktänzer, Veranstalter und alle Freunde von trad. Folkmusik

  12. #12
    Contao-Nutzer
    Registriert seit
    03.10.2010.
    Beiträge
    174

    Standard

    Okay, ich war verwirrt, da ich annahm, die Reihenfolge ist

    3.5.8
    3.5.9
    3.6.0 und nicht 3.5.10 bis dann eben 3.5.50 :-)

    Das Problem mit der FEhlermeldung hat sich nun in der Tat gelöst. Sorry Spooky das ich da nicht gleich auf dich gehört habe !
    Und anke an alle für die Unterstützung

Aktive Benutzer

Aktive Benutzer

Aktive Benutzer in diesem Thema: 1 (Registrierte Benutzer: 0, Gäste: 1)

Lesezeichen

Lesezeichen

Berechtigungen

  • Neue Themen erstellen: Nein
  • Themen beantworten: Nein
  • Anhänge hochladen: Nein
  • Beiträge bearbeiten: Nein
  •